Retrieves the project status with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "cc3b85fa-470b-4a19-a399-7e61a9276e34",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "e9af912f-80bc-4377-9750-0b258c436d93",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "5a478977-6283-4aef-9298-c6c2b50ad2b7",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "249e4c9d-61a5-4ee8-914b-c9259031622d",
    "db_currency_id": "f316baaa-e188-4704-9859-7c926ac285cb",
    "db_language_id": "e88ddef4-a771-44c5-9e34-4ec218a8ac20",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-24T15:23:12.0930807+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-07-24T15:23:12.0930807+00:00"
}